#!/bin/bash

pretty_name=$(cat /etc/os-release | grep "^PRETTY_NAME=" | awk -F '=' '{print $2}' | sed 's/\"//g')
arr=($pretty_name)
id=${arr[1]}
version=$(cat /etc/os-release | grep "^VERSION_ID=" | awk -F '=' '{print $2}' | sed 's/\"//g')
name=`grep '^NAME="' /etc/os-release | awk -F= '{print $2}' | sed 's/"//g'`

label="nf"
license="/etc/licenses.d/os"
if [ -f $license ]; then
    label=$(cat $license)
fi

echo "pretty_name=${pretty_name}, name=${name}, version=${version}, id=${id}, label=${label}"
dbus-send --system --print-reply --dest=com.nfs.license /com/nfs/license/Info com.nfs.license.Info.ShowLicenseActivator string:"$label" string:"$name" string:"$version"
